/*
 * KxElementsCtrl.java
 *
 * Created on 24 septembre 2008, 08:33
 */

package org.cocktail.kiwi.client.nibctrl;

import java.awt.BorderLayout;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableCellRenderer;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kiwi.client.metier.EOSegGroupeInfo;
import org.cocktail.kiwi.common.utilities.CocktailConstantes;
import org.cocktail.kiwi.common.utilities.CocktailIcones;
import org.cocktail.kiwi.server.metier.EOSegTypeInfo;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class AdminBilletsView extends javax.swing.JFrame {

	protected ZEOTableCellRenderer myRenderer;

   	protected EODisplayGroup eodGroupe, eodTypeGroupe;
	protected ZEOTable myEOTableGroupe, myEOTableTypeGroupe;
	protected ZEOTableModel myTableModelGroupe, myTableModelTypeGroupe;
	protected TableSorter myTableSorterGroupe, myTableSorterTypeGroupe;

    /** Creates new form KxElementsCtrl */
    public AdminBilletsView(EODisplayGroup dgGroupe, EODisplayGroup dgTypeGroupe, ZEOTableCellRenderer renderer) {
        
    	eodGroupe = dgGroupe;
    	eodTypeGroupe = dgTypeGroupe;
    	myRenderer= renderer;

        initComponents();
        initGui();

    }

	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTableGroupe = new javax.swing.JPanel();
        btnFermer = new javax.swing.JButton();
        btnAjouterGroupe = new javax.swing.JButton();
        btnModifierGroupe = new javax.swing.JButton();
        btnSupprimerGroupe = new javax.swing.JButton();
        viewTableTypeGroupe = new javax.swing.JPanel();
        btnModifierTypeGroupe = new javax.swing.JButton();
        btnAjouterTypeGroupe = new javax.swing.JButton();
        btnSupprimerTypeGroupe = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Gestion des Remboursements");
        setResizable(false);

        viewTableGroupe.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        viewTableGroupe.setLayout(new java.awt.BorderLayout());

        btnFermer.setText("Fermer");
        btnFermer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnFermerActionPerformed(evt);
            }
        });

        btnAjouterGroupe.setToolTipText("Ajout d'un nouveau remboursement");

        btnModifierGroupe.setToolTipText("Modification du remboursement");

        btnSupprimerGroupe.setToolTipText("Suppression du remboursement");

        viewTableTypeGroupe.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        viewTableTypeGroupe.setLayout(new java.awt.BorderLayout());

        jLabel1.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel1.setText("Remboursements");

        jLabel2.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel2.setText("Détails du remboursement");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 154, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 61, Short.MAX_VALUE)
                        .add(btnAjouterGroupe)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifierGroupe)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimerGroupe, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTableGroupe, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 323, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 94, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(48, 48, 48)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(viewTableTypeGroupe, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 452, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 264, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 86, Short.MAX_VALUE)
                                .add(btnAjouterTypeGroupe, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnModifierTypeGroupe, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnSupprimerTypeGroupe, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnAjouterTypeGroupe, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnModifierTypeGroupe, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnSupprimerTypeGroupe, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                        .add(btnAjouterGroupe, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 24, Short.MAX_VALUE)
                        .add(btnModifierGroupe, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 24, Short.MAX_VALUE)
                        .add(btnSupprimerGroupe, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 24, Short.MAX_VALUE))
                    .add(jLabel1)
                    .add(jLabel2))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 9, Short.MAX_VALUE)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTableTypeGroupe, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 470, Short.MAX_VALUE)
                    .add(viewTableGroupe, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 470, Short.MAX_VALUE))
                .add(28, 28, 28)
                .add(btnFermer)
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-859)/2, (screenSize.height-614)/2, 859, 614);
    }// </editor-fold>//GEN-END:initComponents


private void btnFermerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnFermerActionPerformed
// TODO add your handling code here:
    dispose();
}//GEN-LAST:event_btnFermerActionPerformed

//    /**
//    * @param args the command line arguments
//    */
//    public static void main(String args[]) {
//        java.awt.EventQueue.invokeLater(new Runnable() {
//            public void run() {
//                new KxElementsView().setVisible(true);
//            }
//        });
//    }

    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.JButton btnAjouterGroupe;
    protected javax.swing.JButton btnAjouterTypeGroupe;
    private javax.swing.JButton btnFermer;
    protected javax.swing.JButton btnModifierGroupe;
    protected javax.swing.JButton btnModifierTypeGroupe;
    protected javax.swing.JButton btnSupprimerGroupe;
    protected javax.swing.JButton btnSupprimerTypeGroupe;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JPanel viewTableGroupe;
    private javax.swing.JPanel viewTableTypeGroupe;
    // End of variables declaration//GEN-END:variables
 
        
    private void initGui() {
    	                
        btnFermer.setIcon(CocktailIcones.ICON_CLOSE);
                
        btnAjouterGroupe.setIcon(CocktailIcones.ICON_ADD);
        btnModifierGroupe.setIcon(CocktailIcones.ICON_UPDATE);
        btnSupprimerGroupe.setIcon(CocktailIcones.ICON_CANCEL);

        btnAjouterTypeGroupe.setIcon(CocktailIcones.ICON_ADD);
        btnModifierTypeGroupe.setIcon(CocktailIcones.ICON_UPDATE);
        btnSupprimerTypeGroupe.setIcon(CocktailIcones.ICON_CANCEL);

        Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn> ();
		
		ZEOTableModelColumn col = new ZEOTableModelColumn(eodGroupe, EOSegGroupeInfo.STG_LIBELLE_KEY, "Groupe", 250);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodGroupe, EOSegGroupeInfo.STG_ETAT_KEY, "Etat", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModelGroupe = new ZEOTableModel(eodGroupe, myCols);
		myTableSorterGroupe = new TableSorter(myTableModelGroupe);

		myEOTableGroupe = new ZEOTable(myTableSorterGroupe);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterGroupe.setTableHeader(myEOTableGroupe.getTableHeader());		

		myEOTableGroupe.setBackground(CocktailConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableGroupe.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableGroupe.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableGroupe.setLayout(new BorderLayout());
		viewTableGroupe.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableGroupe.removeAll();
		viewTableGroupe.add(new JScrollPane(myEOTableGroupe), BorderLayout.CENTER);

				
        myCols = new Vector<ZEOTableModelColumn> ();
		
		col = new ZEOTableModelColumn(eodTypeGroupe, EOSegTypeInfo.STI_LIBELLE_KEY, "Type", 250);
		col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodTypeGroupe, EOSegTypeInfo.STI_SIGNE_KEY, "Signe", 50);
		col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodTypeGroupe, EOSegTypeInfo.STI_ETAT_KEY, "Etat", 75);
		col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
		myCols.add(col);

		myTableModelTypeGroupe = new ZEOTableModel(eodTypeGroupe, myCols);
		myTableSorterTypeGroupe = new TableSorter(myTableModelTypeGroupe);

		myEOTableTypeGroupe = new ZEOTable(myTableSorterTypeGroupe);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterTypeGroupe.setTableHeader(myEOTableTypeGroupe.getTableHeader());		

		myEOTableTypeGroupe.setBackground(CocktailConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableTypeGroupe.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableTypeGroupe.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableTypeGroupe.setLayout(new BorderLayout());
		viewTableTypeGroupe.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableTypeGroupe.removeAll();
		viewTableTypeGroupe.add(new JScrollPane(myEOTableTypeGroupe), BorderLayout.CENTER);

		
		
    }

	public ZEOTable getMyEOTableGroupe() {
		return myEOTableGroupe;
	}

	public void setMyEOTableGroupe(ZEOTable myEOTableGroupe) {
		this.myEOTableGroupe = myEOTableGroupe;
	}

	public ZEOTable getMyEOTableTypeGroupe() {
		return myEOTableTypeGroupe;
	}

	public void setMyEOTableTypeGroupe(ZEOTable myEOTableTypeGroupe) {
		this.myEOTableTypeGroupe = myEOTableTypeGroupe;
	}

	public javax.swing.JButton getBtnAjouterGroupe() {
		return btnAjouterGroupe;
	}

	public void setBtnAjouterGroupe(javax.swing.JButton btnAjouterGroupe) {
		this.btnAjouterGroupe = btnAjouterGroupe;
	}

	public javax.swing.JButton getBtnAjouterTypeGroupe() {
		return btnAjouterTypeGroupe;
	}

	public void setBtnAjouterTypeGroupe(javax.swing.JButton btnAjouterTypeGroupe) {
		this.btnAjouterTypeGroupe = btnAjouterTypeGroupe;
	}

	public javax.swing.JButton getBtnFermer() {
		return btnFermer;
	}

	public void setBtnFermer(javax.swing.JButton btnFermer) {
		this.btnFermer = btnFermer;
	}

	public javax.swing.JButton getBtnModifierGroupe() {
		return btnModifierGroupe;
	}

	public void setBtnModifierGroupe(javax.swing.JButton btnModifierGroupe) {
		this.btnModifierGroupe = btnModifierGroupe;
	}

	public javax.swing.JButton getBtnModifierTypeGroupe() {
		return btnModifierTypeGroupe;
	}

	public void setBtnModifierTypeGroupe(javax.swing.JButton btnModifierTypeGroupe) {
		this.btnModifierTypeGroupe = btnModifierTypeGroupe;
	}

	public javax.swing.JButton getBtnSupprimerGroupe() {
		return btnSupprimerGroupe;
	}

	public void setBtnSupprimerGroupe(javax.swing.JButton btnSupprimerGroupe) {
		this.btnSupprimerGroupe = btnSupprimerGroupe;
	}

	public javax.swing.JButton getBtnSupprimerTypeGroupe() {
		return btnSupprimerTypeGroupe;
	}

	public void setBtnSupprimerTypeGroupe(javax.swing.JButton btnSupprimerTypeGroupe) {
		this.btnSupprimerTypeGroupe = btnSupprimerTypeGroupe;
	}

    
    
    
}
